%global momorel 4
%define __libtoolize :

%global py_ver 2.6

Summary: Python wrappers for libxf86config
Name: pyxf86config
Version: 0.3.37
Release: %{momorel}m%{?dist}
URL: http://fedoraproject.org/wiki/pyxf86config
Source0: http://ajax.fedorapeople.org/%{name}/%{name}-%{version}.tar.bz2
License: GPLv2
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: glib
Requires: python >= %{py_ver}
BuildRequires: glib-devel
BuildRequires: libX11-devel
BuildRequires: python => %{py_ver}
BuildRequires: python-devel => %{py_ver}
BuildRequires: xorg-x11-server-devel >= 1.4.99
ExcludeArch: s390 s390x

%description
Python wrappers for the X server config file library libxf86config.
It is used to read and write X server configuration files.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -fPIC"
%configure \
    --x-libraries=/usr/%{_libdir} \
    --x-includes=/usr/include \
    --with-python-version=%{py_ver}
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

%clean
rm -rf --preserve-root %{buildroot}

%preun
if [ -d %{_libdir}/python2.2/site-packages/xf86config.pyc ] ; then
  rm -f {_libdir}/python2.2/site-packages/xf86config.pyc
fi

%files
%defattr(-,root,root)
%doc README NEWS AUTHORS COPYING
%{_libdir}/python?.?/site-packages/ixf86configmodule.so
%{_libdir}/python?.?/site-packages/xf86config.py

%changelog
* Thu May 28 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.37-4m)
- define __libtoolize :

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.37-3m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.3.37-2m)
- rebuild agaisst python-2.6.1-1m

* Sat May  3 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.37-1m)
- update to 0.3.37

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.34-2m)
- rebuild against gcc43

* Mon Jan  7 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.34-1m)
- update to 0.3.34

* Tue Apr 23 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.33-1m)
- update to 0.3.33

* Mon Mar  5 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.32-1m)
- update to 0.3.32

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.31-2m)
- rebuild against python-2.5

* Tue Oct 17 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.31-1m)
- update to 0.3.31

* Thu Mar 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.24-1m)
- update to 0.3.24

* Sat Oct 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.19-4m)
- rebuild against python-2.4.2

* Wed Dec  1 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.3.19-3m)
  sorry rewinded

* Wed Dec  1 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.3.19-2m)
  XF86Config -> xorg.conf

* Tue Sep  7 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.3.19-1m)
- update 0.3.19
- rebuild python2.3

* Sat Feb 28 2004 Toru Hoshina <t@momonga-linux.org>
- (0.31.12-1m)
- import from Fedora Core 1

* Wed Jun  4 2003 Brent Fox <bfox@redhat.com> 0.3.12-1
- add a 'scrnum' attribute to the adjacency section

* Tue Jun  3 2003 Brent Fox <bfox@redhat.com> 0.3.11-1
- add a function to xf86config.py called getAllScreens()

* Tue Jun  3 2003 Brent Fox <bfox@redhat.com> 0.3.10-1
- add a BuildRequires for python-devel
- add an options attribute to the server layout section (for Xinerama)

* Tue Apr 29 2003 Alexander Larsson <alexl@redhat.com> 0.3.6-1
- Added laptop resolutions

* Mon Jan 27 2003 Alexander Larsson <alexl@redhat.com> 0.3.5-1
- Rebuild

* Wed Jan 15 2003 Michael Fulbright <msf@redhat.com> 0.3.4-1
- remove code in xf86config.py:createTemplate() that inserted a Display
  section.  We want user to supply this and it shouldnt be in template.

* Sat Jan 11 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add ExcludeArch: s390 s390x

* Thu Dec 12 2002 Mike A. Harris <mharris@redhat.com> 0.3.3-1
- Remove Excludearch alpha

* Tue Nov 12 2002 Michael Fulbright <msf@redhat.com> 0.3.2-1
- Added some convenience functions.

* Mon Jul  8 2002 Alexander Larsson <alexl@redhat.com>
- Bump to 0.3.1

* Mon Jun 17 2002 Alexander Larsson <alexl@redhat.com>
- Bump to 0.3.0

* Fri May 24 2002 Alex Larsson <alexl@redhat.com> 0.2.0-3
- Excludearch alpha for now

* Fri May 24 2002 Alex Larsson <alexl@redhat.com> 0.2.0-2
- Add some doc files

* Fri May 24 2002 Alex Larsson <alexl@redhat.com> 0.2.0-1
- Update version number for new release

* Thu Apr 11 2002 Alex Larsson <alexl@redhat.com> 0.1.0-1
- Initial release

* Wed Apr 10 2002 Alex Larsson <alexl@redhat.com>
- Initial specfile
